# add expires header
<IfModule mod_expires.c>
  ExpiresActive On
  ExpiresDefault "access plus 1 week"
</IfModule>

# zip zip zip
<ifModule mod_gzip.c>
mod_gzip_on Yes
mod_gzip_dechunk Yes

mod_gzip_minimum_file_size    300

mod_gzip_item_include file .(html?|txt|css|js|json|php|pl)$
mod_gzip_item_include handler ^cgi-script$

mod_gzip_item_include mime ^application/x-javascript.*
mod_gzip_item_exclude mime ^image/.*
mod_gzip_item_include mime ^text/.*
mod_gzip_item_exclude rspheader ^Content-Encoding:.*gzip.*
</ifModule>

# early charset
AddDefaultCharset UTF-8
